Subject: Re: bug#34135: IceCat lacks WebGL support

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 29 Aug 2023 16:48:43 -0400

Hi,

Ludovic Courtès <[email-masked]> writes:

> Hello,
>
> If you enable WebGL support in ‘about:config’, then stop it and run:
>
> $ export LIBGL_DRIVERS_PATH=$(guix build mesa)/lib/dri
> $ icecat https://get.webgl.org
> 1547912837231   addons.webextension.tortm-browser-button@jeremybenthum  WARN    Please specify whether you want browser_style or not in your browser_action options.
> 1547912837231   [email-masked]    WARN    Please specify whether you want browser_style or not in your browser_action options.
> 1547912837232   addons.webextension.{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}      WARN    Please specify whether you want browser_style or not in your browser_action options.
> JavaScript warning: moz-extension://b84ee99d-7e50-4975-9d16-3806d330a3b2/lib/adblockplus.js, line 0: Successfully compiled asm.js code (total compilation time 1ms; not stored in cache (too small )
> libGL error: MESA-LOADER: failed to retrieve device information
> libGL error: unable to load driver: i915_dri.so
> libGL error: driver pointer missing
> libGL error: failed to load driver: i915
> libGL error: MESA-LOADER: failed to retrieve device information
> libGL error: unable to load driver: i915_dri.so
> libGL error: driver pointer missing
> libGL error: failed to load driver: i915
> libGL error: unable to load driver: swrast_dri.so
> libGL error: failed to load driver: swrast
> JavaScript warning: https://get.webgl.org/, line 193: Error: WebGL warning: Failed to create WebGL context: WebGL creation failed: 
> * Error during native OpenGL init.
> * Exhausted GL driver caps.
> * Exhausted GL driver options.
> JavaScript warning: https://get.webgl.org/, line 197: Error: WebGL warning: Failed to create WebGL context: WebGL creation failed: 
> * Error during native OpenGL init.
> * Exhausted GL driver caps.
> * Exhausted GL driver options.
>
> and the web page reads:
>
>    While your browser seems to support WebGL, it is disabled or
>    unavailable.
>
> Weird thing is that glxgears and glxinfo (from ‘mesa-utils’) both work
> well.
>
> Thoughts?

I don't reproduce this issue, using Guix 9f4b6bc with IceCat version
102.14.0-guix0-preview1, although I must *not* set LIBGL_DRIVERS_PATH
the way you did otherwise it fails.

I'm using an nvidia 8800 GTS card with the nouveau driver, and the
spinning cube displays fine at https://get.webgl.org/.

Is it still a problem for you?

-- 
Thanks,
Maxim